#ifndef MINY_OBR_H
#define MINY_OBR_H

#include <curses.h>

int obr_init();
int obr_done();
int obr_askcontinue(char *msg, int s, int f);

extern WINDOW *w_playground, *w_info;

#define PGWINSZ_X	COLS
#define PGWINSZ_Y	(LINES - 1)

#define RED_COLOR               COLOR_PAIR(5)
#define BRIGHTRED_COLOR         RED_COLOR | A_BOLD
#define GREEN_COLOR             COLOR_PAIR(4)
#define BRIGHTGREEN_COLOR       GREEN_COLOR | A_BOLD
#define BLUE_COLOR              COLOR_PAIR(3)
#define BRIGHTBLUE_COLOR        BLUE_COLOR | A_BOLD
#define MAGENTA_COLOR           COLOR_PAIR(6)
#define BRIGHTMAGENTA_COLOR     MAGENTA_COLOR | A_BOLD
#define YELLOW_COLOR            COLOR_PAIR(7)
#define BRIGHTYELLOW_COLOR      YELLOW_COLOR | A_BOLD
#define GREY_COLOR              COLOR_PAIR(1)
#define BRIGHTGREY_COLOR        GREY_COLOR | A_BOLD
#define INFO_COLOR		COLOR_PAIR(2)

#define DEFAULT_COLOR           GREY_COLOR

#endif
